umbrello: JavaCodeClassField Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
JavaCodeClassField Class Reference

`#include <javacodeclassfield.h>`

Inheritance diagram for JavaCodeClassField:

## Public Member Functions
| JavaCodeClassField (ClassifierCodeDocument *parentDoc, UMLRole *role)
| JavaCodeClassField (ClassifierCodeDocument *parentDoc, UMLAttribute *attrib)
virtual | ~JavaCodeClassField ()
QString | getFieldType ()
QString | getFieldName ()
QString | getInitialValue ()
QString | getTypeName ()
Public Member Functions inherited from CodeClassField
| CodeClassField (ClassifierCodeDocument *parentDoc, UMLAttribute *attrib)
| CodeClassField (ClassifierCodeDocument *parentDoc, UMLRole *role)
void | finishInitialization ()
virtual | ~CodeClassField ()
QString | getTypeName ()
CodeClassFieldDeclarationBlock * | getDeclarationCodeBlock ()
CodeAccessorMethodList | getMethodList () const
CodeAccessorMethod * | findMethodByType (CodeAccessorMethod::AccessorType type, int role_id=-1)
bool | fieldIsSingleValue ()
ClassFieldType | getClassFieldType () const
bool | parentIsAttribute () const
QString | getListObjectType ()
bool | getWriteOutMethods () const
void | setWriteOutMethods (bool val)
int | minimumListOccurances ()
int | maximumListOccurances ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | synchronize ()
void | updateContent ()
Public Member Functions inherited from CodeParameter
| CodeParameter (ClassifierCodeDocument *doc, UMLObject *parentObj)
virtual | ~CodeParameter ()
ClassifierCodeDocument * | getParentDocument ()
UMLObject * | getParentObject ()
bool | getAbstract ()
bool | getStatic ()
QString | getName () const
virtual QString | getTypeName ()
Uml::Visibility::Enum | getVisibility () const
virtual void | setInitialValue (const QString &new_var)
virtual QString | getInitialValue ()
void | setComment (CodeComment *comment)
CodeComment * | getComment ()
QString | ID () const
virtual void | updateContent ()=0

## Additional Inherited Members
Public Types inherited from CodeClassField
enum | ClassFieldType { Attribute , PlainAssociation , Self , Aggregation , Composition , Unknown_Assoc }
Public Slots inherited from CodeParameter
void | syncToParent ()
Signals inherited from CodeClassField
void | modified ()
Protected Member Functions inherited from CodeClassField
void | setParentUMLObject (UMLObject *obj)
QString | cleanName (const QString &name)
QString | fixInitialStringDeclValue (const QString &val, const QString &type)
void | setListClassName (const QString &className)
bool | addMethod (CodeAccessorMethod *add)
QString | getUMLObjectName (UMLObject *obj)
bool | removeMethod (CodeAccessorMethod *remove)
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)

## Constructor & Destructor Documentation

## ◆ JavaCodeClassField() [1/2]

JavaCodeClassField::JavaCodeClassField | ( | ClassifierCodeDocument * | parentDoc,
|  | UMLRole * | role
| ) |  |

Constructors

## ◆ JavaCodeClassField() [2/2]

JavaCodeClassField::JavaCodeClassField | ( | ClassifierCodeDocument * | parentDoc,
|  | UMLAttribute * | attrib
| ) |  |

## ◆ ~JavaCodeClassField()

JavaCodeClassField::~JavaCodeClassField | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getFieldName()

QString JavaCodeClassField::getFieldName | ( |  | ) |

## ◆ getFieldType()

QString JavaCodeClassField::getFieldType | ( |  | ) |

## ◆ getInitialValue()

QString JavaCodeClassField::getInitialValue | ( |  | ) |
| virtual

Get the value of m_initialValue The initial value of this code parameter

Returns
  the value of m_initialValue

Reimplemented from CodeParameter.

## ◆ getTypeName()

QString JavaCodeClassField::getTypeName | ( |  | ) |
| virtual

Utility method to get the value of parent object type. the typeName of this parameters (e.g. boolean, int, etc or perhaps Class name of an object)

Returns
  the value of type

Reimplemented from CodeClassField.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/java/javacodeclassfield.h
- umbrello/codegenerators/java/javacodeclassfield.cpp